Bug 441441 - FEAT: HwCert catalog should highlight any additional boot parameters found by the INFO test
FEAT: HwCert catalog should highlight any additional boot parameters found by...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: XINSUN
Yu Shao
:
Depends On: 441440
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-08 01:02 EDT by YangKun
Modified: 2008-08-04 13:56 EDT (History)
5 users (show)

See Also:
Fixed In Version: 3.2rh-20080801.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-04 13:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix Patch : (4.44 KB, patch)
2008-06-12 13:41 EDT, XINSUN
no flags Details | Diff
Patch Improve: (1.30 KB, patch)
2008-07-22 04:04 EDT, XINSUN
no flags Details | Diff

  None (edit)
Description YangKun 2008-04-08 01:02:58 EDT
once the INFO test in HTS finds any additional boot parameters(bug#441440), the
hwcert catalog should highlight these parameters for reviewers. Better to change
the "PASSED"(displayed for each INFO test) to some more informative words(e.g.
"Boot Parameter"), and to change the green "correct" mark to some other
color(e.g. yellow).
Comment 1 XINSUN 2008-04-09 05:19:45 EDT
The bug depends on #441440.
Comment 2 XINSUN 2008-06-12 13:41:03 EDT
Created attachment 309109 [details]
Fix Patch :

1.Detect if the info test contains the additional boot parameters.If it
has,then use the warning icon and little brown text "(Boot Parameters)" to
inform that in the package section.

2.Use yellow highlight the additional boot parameter in the result.cgi's result
info.

3.Fix bug:Shouldn't blue highlight the string "notebook" in the result.cgi's
result info. 


Pls review.

Best Regards!
Nicho
Comment 3 Rob Landry 2008-07-17 16:32:29 EDT
1) I think is overkill, there are many highlights that happen in results, it's
ok to leave this off.  2) and 3) look ok,however a test server and better yet a
test url directly to a view of the code in action would be nice to see.
Comment 4 XINSUN 2008-07-22 04:04:22 EDT
Created attachment 312316 [details]
Patch Improve:

High lighting the boot parameter (2) and fix the "notebook" error (3)

The test URL is 
http://bugdev.devel.redhat.com/hwcert-xisun5/results.cgi?cert_id=456121&id=60512


pls review

Thanks a lot!
Nicho
Comment 5 Rob Landry 2008-07-22 11:59:35 EDT
Looks good to me, seems to work as well :)  If you're happy with it, please
check it in.
Comment 6 eric_liu 2008-08-01 07:29:14 EDT
tested and run good

Note You need to log in before you can comment on or make changes to this bug.